Bug 118372 - Position and Size protection does not apply to layout changes
Summary: Position and Size protection does not apply to layout changes
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Slide-Layout
  Show dependency treegraph
 
Reported: 2018-06-25 13:10 UTC by Iceflower S
Modified: 2019-07-14 02:47 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Iceflower S 2018-06-25 13:10:00 UTC
Description:
See step to reproduce.

Steps to Reproduce:
1. Insert some text and 
2. Protect position and size over right click menu
3. Choose another layout

Actual Results:
Size and position gets changed

Expected Results:
Size and position wont be changed


Reproducible: Always


User Profile Reset: No


OpenGL enabled: Yes

Additional Info:
Comment 1 Jacques Guilleron 2018-06-26 12:25:57 UTC
Hi Iceflower S,

I don't reproduce with
LO  6.0.4.2 Build ID: 9b0d9b32d5dcda91d2f1a96dc04c645c450872bf
Threads CPU : 2; OS : Windows 6.1; UI Render : par défaut; 
Locale : fr-FR (fr_FR); Calc: CL
I have to use a text box to get access to right clic and protect the text inside.
Are we using the same elements?
Comment 2 Iceflower S 2018-06-27 07:06:57 UTC
It can be an image or a table too of course.

Right click -> Position & Size (F4) -> Protect both
Change the layout of the slide.
Comment 3 Buovjaga 2018-07-13 16:02:32 UTC
(In reply to Iceflower S from comment #2)
> It can be an image or a table too of course.
> 
> Right click -> Position & Size (F4) -> Protect both
> Change the layout of the slide.

If I test with a table, the size and position of the table do change.
Already repro with 3.3.0 on Win.

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: bd394492c165d27c96a44495d9ca694a242acb8f
CPU threads: 8; OS: Linux 4.17; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on July 11th 2018
Comment 4 QA Administrators 2019-07-14 02:47:58 UTC
Dear Iceflower S,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug